Paket-Update - page.xml

  • Affected App
    WoltLab Suite Core

    Paket enthält eine page.xml. Bei einer Seite wurde unter permissions ein falsches Recht eingetragen. Mit einem Paket-Update sollte das mit einer entsprechend geänderten page.xml korrigiert werden. Das funktioniert aber nicht, da das page-PIP nur eine Änderung des Controllers und des Handlers zulässt : "allow only updating of controller and handler, everything else would overwrite user modifications".


    Irgendwie verständlich, aber bei vielen Seiten (u.a. bei meiner in der page.xml) kann man über das ACP überhaupt nichts ändern. User kann also gar nichts overwriten. Bedeutet für mein Plugin, dass das Recht 'manuell' über die Datenbank geändert werden müsste. Oder gibt es einen anderen Weg, permissions zu ändern?



    PS: Per PIP löschen und neu erstellen wäre noch eine Option. Aber dann kann man auch gleich das Ändern zulassen, weil es den Zweck des eingeschränkten Updates konterkariert ;)

    Gruß, Udo

    Edited once, last by UdoZ ().

    • Official Post

    Das sollte eigentlich gehen und wurde auch im master geändert, aber der Commit fehlt in 3.0.


    Ich korrigiere das mal für 3.0, entweder wartest du auf 3.0.10 oder du nimmst den Umweg über die Dampfwalze und legst die Seite zwischenzeitlich neu an.

    Alexander Ebert
    Senior Developer WoltLab® GmbH

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!